Returns the byte array of the PDF version of the specified Invoice

Returns the rendered invoice PDF content and download link for the specified invoice. Use the optional linkOnly query parameter to return only the download link metadata.

The GET API endpoint /invoice/{id}/download can be used to download the invoice file to your machine. The ID in the path will be the LogiSense ID of the invoice (and not the Invoice Name, if it has been configured to be different).

If you don’t know the id of the invoice you need, search for it using the GET /Invoice/Paged API with appropriate search headers.

When you call /invoice/{id}/download the API checks the filesize of the PDF. If it’s less than 5 MB, it will download and encode the object back into the PDF parameter of the DTO, retaining prior functionality. If it’s over 5 MB, you will instead receive an error, stating that the endpoint must be called with the linkOnly=true query parameter

By appending linkOnly=true to the request as a query parameter, the API will skip the filesize and download parts of the process, only returning the temporary URL. This is the recommended method for accessing the Invoice.

Both endpoints will also fetch a temporary URL to access the PDF document generated by AWS S3. This URL is good for 30 seconds, and then AWS S3 marks them invalid. This can be used to download the pdf at the supplied link.

Path Params
integer
required

Unique identifier for the Invoice object.

Query Params
boolean

When true, returns the download link metadata without embedding the base64 PDF content.

Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json